org.apache.mina.core

## Class RuntimeIoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.core.RuntimeIoException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SerialPortUnavailableException

      public class RuntimeIoException
      extends RuntimeException

  A unchecked version of `IOException`.

  Please note that `RuntimeIoException` is different from `IOException` in that doesn't trigger force session close, while `IOException` forces disconnection.

  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeIoException()`
    `RuntimeIoException(String message)`
    `RuntimeIoException(String message, Throwable cause)`
    `RuntimeIoException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeIoException

          public RuntimeIoException()

    - #### RuntimeIoException

          public RuntimeIoException(String message)

    - #### RuntimeIoException

          public RuntimeIoException(String message,
                            Throwable cause)

    - #### RuntimeIoException

          public RuntimeIoException(Throwable cause)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.